[SCM] debian-live/config-webc branch, master, updated. 994700fab682e90f7320405d689040ab464fb4de

Chris Lamb chris at chris-lamb.co.uk
Tue Aug 26 20:12:45 UTC 2008


The following commit has been merged in the master branch:
commit 31536059c11d237fe8857a6325e421817ca50dee
Author: Chris Lamb <chris at chris-lamb.co.uk>
Date:   Mon Aug 18 05:13:07 2008 +0100

    Repack the initrd and replace Debian banner.
    
    Signed-off-by: Chris Lamb <chris at chris-lamb.co.uk>

diff --git a/webconverger/config/binary_local-hooks/02-repack-initrd.sh b/webconverger/config/binary_local-hooks/02-repack-initrd.sh
new file mode 100755
index 0000000..43d8fcf
--- /dev/null
+++ b/webconverger/config/binary_local-hooks/02-repack-initrd.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+TARGET_INITRD="binary/install/initrd.gz"
+REPACK_TMPDIR="unpacked-initrd"
+
+# cpio does not have a "extract to directory", so we must change directory
+mkdir -p ${REPACK_TMPDIR}
+cd ${REPACK_TMPDIR}
+gzip -d < ../${TARGET_INITRD} | cpio -i --make-directories --no-absolute-filenames
+
+# Overwrite banner
+mv ../binary/install/banner.png ./usr/share/graphics/logo_debian.png
+
+find | cpio -H newc -o | gzip -9 > ../${TARGET_INITRD}
+cd ..
+rm -rf ${REPACK_TMPDIR}
diff --git a/webconverger/config/binary_local-includes/install/banner.png b/webconverger/config/binary_local-includes/install/banner.png
new file mode 100644
index 0000000..29b7d88
Binary files /dev/null and b/webconverger/config/binary_local-includes/install/banner.png differ

-- 
debian-live/config-webc



More information about the debian-live-changes mailing list